import { defineConfig } from 'drizzle-kit';
import dotenv from 'dotenv';
dotenv.config({ path: ['.env.local', '.env'] });

const DATABASE_URL = process.env.POSTGRES_URL;
if (!DATABASE_URL) {
  throw new Error('POSTGRES_URL environment variable is required');
}

export default defineConfig({
  schema: './lib/db/schema.ts',
  dialect: 'postgresql',
  dbCredentials: {
    url: DATABASE_URL,
  },
  out: './drizzle',
});
