import { drizzle } from 'drizzle-orm/node-postgres';
import * as schema from './schema';
import dotenv from 'dotenv';
dotenv.config({ path: ['.env.local', '.env'] });

const DATABASE_URL = process.env.POSTGRES_URL;
if (!DATABASE_URL) {
  throw new Error('POSTGRES_URL environment variable is required');
}

export const db = drizzle(DATABASE_URL, { schema });

// Re-export schema types for convenience
export * from './schema';
